com.mapinfo.midev.style

## Interface ITextStyle

All Superinterfaces:
  ICopiable, IStyle, Serializable

    public interface ITextStyle
    extends IStyle

A style for text.

### Field Summary

Fields
`static ITextStyle` `NONE` This constant is used to suppress previous symbols in the render when drawing in a multi-pass scenario.

### Method Summary

All Methods Instance Methods Abstract Methods
`BoxBackground` `getBackground()` Returns the background of the `ITextStyle`.
`ITextStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.
`IFont` `getFont()` Returns the font of the `ITextStyle`.
`void` `setBackground(BoxBackground background)` Set the background of the `ITextStyle`.
`void` `setFont(IFont font)` Set the font of the `ITextStyle`.

### Field Detail

#### NONE

    static final ITextStyle NONE

This constant is used to suppress previous symbols in the render when drawing in a multi-pass scenario. All NONE methods throw UnsupportedOperationException.

### Method Detail

#### getBackground

    BoxBackground getBackground()

Returns the background of the `ITextStyle`. May be null.

Returns:
  the background of the `ITextStyle`.

#### getFont

    IFont getFont()

Returns the font of the `ITextStyle`. May be null.

Returns:
  the font of the `ITextStyle`.

#### setBackground

    void setBackground(BoxBackground background)

Set the background of the `ITextStyle`.

Parameters:
  `background` - the background of the `ITextStyle`.

#### setFont

    void setFont(IFont font)

Set the font of the `ITextStyle`.

Parameters:
  `font` - the font of the `ITextStyle`.

#### getCopy

    ITextStyle getCopy()

Description copied from interface: `IStyle`
Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.